################################################################
# Copyright © 2005 - 2019 CarbonSoft.
# All rights reserved.
# Site: https://www.carbonsoft.ru.
################################################################

<?php

class Clients extends CI_Controller {
    var $meta=array();
    var $data=array();

    public function __construct()
    {
        parent::__construct();

        $this->meta['title']      ='Абонентам';
        $this->meta['keywords']   ='';
        $this->meta['description']='';

        $this->data['title']='';
        $this->data['content']='';

        $this->data['breadcrumbs']=array("Главная"=>"/", "Абонентам"=>"/clients/");
    }

    function __show_page()
    {
        $theme=$this->config->item('theme');
        $view=$this->config->item('view');
 
        $this->meta['theme']=$theme;
        $this->data['theme']=$theme;

        $this->load->view("$view/html_start",$this->meta);
        $this->load->view("$view/header");
        $this->load->view("$view/data",$this->data);
        $this->load->view("$view/footer");
        $this->load->view("$view/html_end");
        
    }

    function index()
    {
        $this->meta['title']      ='Абонентам';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('clients');

        $this->__show_page();	
    }

    function howto()
    {
        $this->meta['title']      ='Инструкции по настройке ';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('clients_howto');

        $this->__show_page();
    }

    function payment()
    {
        $this->meta['title']      ='Где оплатить? ';

        $this->data['title']=$this->meta['title'];	
        $this->data['content']=$this->Static_html->get('clients_payment');

        $this->__show_page();
    }

    function resources()
    {
        $this->meta['title']      ='Внутрисетевые ресурсы ';

        $this->data['title']=$this->meta['title'];	
        $this->data['content']=$this->Static_html->get('clients_resources');

        $this->__show_page();
    }


}
?>
