<?php

class Company extends CI_Controller {
    var $meta=array();
    var $data=array();

    public function __construct()
    {
        parent::__construct();

        $this->meta['title']      ='';
        $this->meta['keywords']   ='';
        $this->meta['description']='';

        $this->data['title']='';
        $this->data['content']='';

        $this->data['breadcrumbs']=array("Главная"=>"/", "О компании"=>"/company/");
    }

    function __show_page()
    {
        $theme=$this->config->item('theme');
        $view=$this->config->item('view');
 
        $this->meta['theme']=$theme;
        $this->data['theme']=$theme;

        $this->load->view("$view/html_start",$this->meta);
        $this->load->view("$view/header");
        $this->load->view("$view/data",$this->data);
        $this->load->view("$view/footer");
        $this->load->view("$view/html_end");
    }

    function index()
    {
        $this->meta['title']      ='О компании';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('company');

        $this->__show_page();	
    }

    function contacts()
    {
        $this->meta['title']      ='Контакты';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('company_contacts');

        $this->__show_page();	
    }

    function documents()
    {
        $this->meta['title']      ='Документы';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('company_documents');

        $this->__show_page();	
    }

    function licenses()
    {
        $this->meta['title']      ='Лицензии';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('company_licenses');

        $this->__show_page();	
    }

    function partners()
    {
        $this->meta['title']      ='Партнеры';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('company_partners');

        $this->__show_page();	
    }    
}
?>
