<?php

class News extends CI_Controller {
    var $meta=array();
    var $data=array();

    public function __construct()
    {
        parent::__construct();

        $this->meta['title']      ='';
        $this->meta['keywords']   ='';
        $this->meta['description']='';

        $this->data['title']='';
        $this->data['content']='';

        $this->data['breadcrumbs']=array("Главная"=>"/", "Новости"=>"/news/");
    }

    function __show_page()
    {
        $theme=$this->config->item('theme');
        $view=$this->config->item('view');
 
        $this->meta['theme']=$theme;
        $this->data['theme']=$theme;

        $this->load->view("$view/html_start",$this->meta);
        $this->load->view("$view/header");
        $this->load->view("$view/data",$this->data);
        $this->load->view("$view/footer");
        $this->load->view("$view/html_end");
    }

    function index()
    {
        $this->data['title']='Новости';

        $this->data['content']='';

        $news = $this->ideco_db->cabQueryMulti('SELECT * FROM WEB_NEWS_GET(null,null,null,0,15)');

        foreach ($news as $item)
        {
            $this->data['content'].='<span style="font-size: 12px; color:#276A7F">'.$item['NEWS_DATE_STR']." ";
            $this->data['content'].='<b>'.$item['NAME'].'</b></span><p>'.$item['DESCR'].'</p>';
        }

        $this->__show_page();	

    }

}
?>
