<?php

class Support extends CI_Controller {
    var $meta=array();
    var $data=array();

    public function __construct()
    {
        parent::__construct();

        $this->meta['title']      ='';
        $this->meta['keywords']   ='';
        $this->meta['description']='';

        $this->data['title']='';
        $this->data['content']='';

        $this->data['breadcrumbs']=array("Главная"=>"/", "Поддержка"=>"/support/");
    }

    function __show_page()
    {
        $theme=$this->config->item('theme');
        $view=$this->config->item('view');
 
        $this->meta['theme']=$theme;
        $this->data['theme']=$theme;

        $this->load->view("$view/html_start",$this->meta);
        $this->load->view("$view/header");
        $this->load->view("$view/data",$this->data);
        $this->load->view("$view/footer");
        $this->load->view("$view/html_end");
    }

    function index()
    {
        $this->meta['title']      ='Поддержка';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('support');

        $this->__show_page();	
    }

    function forum()
    {
        $this->meta['title']      ='Форум';

        $this->data['title']=$this->meta['title'];
        $this->data['content']='';

        $this->__show_page();	
    }

    function voting()
    {
        $this->meta['title']      ='Опросы';

        $this->data['title']=$this->meta['title'];
        $this->data['content']='';

        $this->__show_page();
    }

    function speed()
    {
        $this->meta['title']      ='Тест скорости локальной сети';

        $this->data['title']=$this->meta['title'];
        $this->data['content']=$this->Static_html->get('support_speed');

        $this->__show_page();
    }

}
?>
