<script>

    function render_new_filter_field(add_params, input_value, select_value) {
        var select_container = $('.tmpl_select').first().clone();
        $('.input-fields').append($(select_container));
        $(select_container).show();
        $('#attributes-searh-notice').show();
        $(select_container).children('input[type=text]').val(input_value);
        $(select_container).children('select').val(select_value).change(function () {
            $(this).parent().children('input[type=text]').attr({'name': 'ATTR[' + $(this).val() + ']'});
        });
        $(select_container).children('select').change();

    }
    $(function () {
        var fields_to_render = JSON.parse('<?php echo json_encode(count($_REQUEST['ATTR']) > 0 ? $_REQUEST['ATTR'] : false );?>');
        console.log(fields_to_render);
        if (fields_to_render) {
            $.each(fields_to_render, function (k, v) {
                console.log(k, v);
                render_new_filter_field({'name': 'ATTR[' + k + ']'}, v, k);
            });
        }

        $('.data-range input').datetimepicker({
            lang: 'ru',
            format: 'd.m.Y H:i'
        });

        $('.search-grid tr:not(:first-child)').each(function () {
            var href = '/cabinet/detail_user/' + $(this).attr('user_id');
            $(this).css({cursor: "pointer"}).click(function () {
                location.href = href;
            })
        });

        $('#add_attr_search').click(function () {
            if ($('.input-fields .tmpl_select').length > 2) {
                alert('Разрешен поиск не больше чем по трем атрибутам');
                return false;
            }
            render_new_filter_field();
            return false;


        });


    });
    function del_it(el) {
        $($(el).parent()).remove();
        return false;
    }
</script>


<div class="tmpl_select form-item" style="display: none">
    <select class="user-attrs">
        <?php foreach ($user_attributes as $attr) { ?>
            <option value="<?php echo $attr['ID'] ?>"><?php echo htmlspecialchars($attr['NAME']) ?></option>
        <?php } ?>
    </select>
    <input type="text"/>
    <button onclick="del_it(this);">x</button>
</div>

<div class="search-wrapper">
    <div class="heading">
        <h1>Детальная информация <a href="/cabinet/logout/">Выйти</a></h1>
    </div>

    <div class="detail-search">
        <div class="form">
            <h3>Фильтр</h3>

            <form class="search-form" action="/cabinet/detail_search">
                <div class="input-fields">
                    <div class="form-item">
                        <label for="ip_address">IP адрес:</label>
                        <input type="text" name="ip_address" value="<?php echo htmlspecialchars($form['ip']) ?>"
                               id="ip_address"/>
                    </div>
                    <div class="form-item">
                        <label for="login">Логин:</label>
                        <input type="text" name="login" value="<?php echo htmlspecialchars($form['login']) ?>"
                               id="login"/>
                    </div>
                    <div class="form-item">
                        <label for="FIO">ФИО:</label>
                        <input type="text" name="user_name" value="<?php echo htmlspecialchars($form['user_name']) ?>"
                               id="FIO"/>
                    </div>
                    <div class="form-item">
                        <label for="phone">Телефон:</label>
                        <input type="text" name="phone" value="<?php echo htmlspecialchars($form['phone']) ?>"
                               id="phone"/>
                    </div>
                    <div class="inline-form data-range">
                        <div class="form-item ">
                            <label for="sess_start">Старт сессии:</label>
                            <input type="text" name="sess_start"
                                   value="<?php echo htmlspecialchars($form['sess_start']) ?>"
                                   id="sess_start"/>
                        </div>
                        <div class="form-item">
                            <label for="sess_end">Конец сессии:</label>
                            <input type="text" name="sess_end" value="<?php echo htmlspecialchars($form['sess_end']) ?>"
                                   id="sess_end"/>
                        </div>
                    </div>
                </div>


                <div class="submit-controls">
                    <button type="submit">Найти</button>
                    <button style="float: right" id="add_attr_search" type="submit">Добавить поиск по аттрибуту</button>
                </div>
            </form>
        </div>
        <div class="search-result">
            <div class="pagination">
                <?php echo $this->pagination->create_links() ?>
            </div>
            <table class="search-grid search-hover">
                <?php if ($user_search && count($user_search) > 0) { ?>
                    <tr>
                        <td>Идентификатор</td>
                        <td>Логин</td>
                        <td>IP Адрес</td>
                        <td>HOST_IP</td>
                        <td>Телефон</td>
                        <?php foreach (array(1, 2, 3) as $n) { ?>
                            <td>Атрибут <?php echo $n ?></td>
                            <td>Значение <?php echo $n ?></td>
                        <?php } ?>
                        <td>Старт сессии</td>
                        <td>Конец сессии</td>
                    </tr>
                    <?php //Побежали по строкам! ?>
                    <?php foreach ($user_search as $user_str) { ?>
                        <tr user_id="<?php echo $user_str['USER_ID'] ?>">
                            <td><?php echo $user_str['IDENTIFY'] ?></td>
                            <td><?php echo $user_str['LOGIN'] ?></td>
                            <td><?php echo $user_str['IP'] ? $user_str['IP'] : '0.0.0.0' ?></td>
                            <td><?php echo $user_str['HOST_IP'] ? $user_str['HOST_IP'] : '0.0.0.0' ?></td>
                            <td><?php echo $user_str['SMS'] ? $user_str['SMS'] : '---' ?></td>
                            <?php foreach (array(1, 2, 3) as $n) { ?>
                                <td><?php echo $user_str['ATTRIB_CODE_' . $n] ? $user_str['ATTRIB_CODE_' . $n] : '---' ?></td>
                                <td><?php echo $user_str['ATTRIB_VAL_' . $n] ? $user_str['ATTRIB_VAL_' . $n] : '---' ?></td>
                            <?php } ?>
                            <td><?php echo $user_str['SESSION_START'] ? $user_str['SESSION_START'] : '---' ?></td>
                            <td><?php echo $user_str['SESSION_END'] ? $user_str['SESSION_END'] : '---' ?></td>
                        </tr>
                    <?php } ?>

                <?php } else { ?>
                    <tr>
                        <td colspan="5">
                            <i><?php echo $is_submited ? 'Ничего не найдено' : 'Заполните поля фильтра и нажмите кнопку "Найти"' ?></i>
                        </td>
                    </tr>
                <?php } ?>

            </table>
        </div>
        <div class="pagination">
            <?php echo $this->pagination->create_links() ?>
        </div>
    </div>
</div>