#!/bin/bash
set -eu

mkdir -p bin custom lib
[ ! -f README.md ] && echo "New cool project" > README.md
[ ! -f .gitignore ] && cp -a cms/contrib/project_gitignore .gitignore
[ ! -d modules ] && cp -a cms/contrib/modules/ modules/
[ ! -d common ] && cp -a cms/contrib/common/ common/
touch __init__.py
touch custom/config.py
touch __autogen_models.py

# Симлинки обрабатываются по-особенному. Придется делать Update
cp -a cms/contrib/manage.py manage.py
