<?php

class Services extends CI_Controller {

    var $meta = array();
    var $data = array();

    public function __construct() {
        parent::__construct();

        $this->meta['title'] = '';
        $this->meta['keywords'] = '';
        $this->meta['description'] = '';

        $this->data['title'] = '';
        $this->data['content'] = '';

        $this->data['breadcrumbs'] = array("Главная" => "/", "Наши услуги" => "/services/");
    }

    function __show_page() {
        $theme = $this->config->item('theme');
        $view = $this->config->item('view');

        $this->meta['theme'] = $theme;
        $this->data['theme'] = $theme;

        $this->load->view("$view/html_start", $this->meta);
        $this->load->view("$view/header");
        $this->load->view("$view/data", $this->data);
        $this->load->view("$view/footer");
        $this->load->view("$view/html_end");
    }

    function __show_page2($page) {
        $theme = $this->config->item('theme');
        $view = $this->config->item('view');

        $this->meta['theme'] = $theme;
        $this->data['theme'] = $theme;

        $this->load->view("$view/html_start", $this->meta);
        $this->load->view("$view/header");
        $this->load->view("$view/../".$page, $this->data);
        $this->load->view("$view/footer");
        $this->load->view("$view/html_end");
    }

    function index() {
        $this->meta['title'] = 'Наши услуги';

        $this->data['title'] = 'Наши услуги';
        $this->data['content'] = $this->Static_html->get('services');

        $this->__show_page();
    }

    function start() {
        $this->meta['title'] = 'Подключение к Интернет';

        $this->data['title'] = $this->meta['title'];
        $this->data['content'] = $this->Static_html->get('services_start');
        $this->data['content'] = $this->data['content'] . '<div><a href="/services/order" style="text-decoration: none" >Подать заявку</a></div>';

        $this->__show_page();
    }

    function order() {
        $this->data['title'] = $this->meta['title'];
        //$filename =BASEPATH.'/../application/views/order.php';
        //$handle = fopen($filename, "r");
        //$file_data = fread($handle, filesize($filename));
	    $errors = array();
	    if ($_POST) {
            $ADDRESS=$this->ideco_cab->cabRequest('address');
	        if ($ADDRESS == ''){
	            $errors[] = 'Не заполнено поле адрес';
	        }
            $FLAT=$this->ideco_cab->cabRequest('flat');
	        if ($FLAT == ''){
	            $FLAT = ' ';
	        } 
	        //-----------------------------------------------
            $ENTRANCE=$this->ideco_cab->cabRequest('entrance');
	        if ($ENTRANCE == ''){
	            $ENTRANCE = ' ';
	        }
	        //-----------------------------------------------
            $FLOOR=$this->ideco_cab->cabRequest('floor');
	        if ($FLOOR == ''){
	            $FLOOR = ' ';
	        }
            $FIRST_NAME=$this->ideco_cab->cabRequest('first_name');
	        if ($FIRST_NAME == '' ){
	            $errors[] = 'Не заполнено поле Имя';
	        }
            $MIDDLE_NAME=$this->ideco_cab->cabRequest('middle_name');
	        if ($MIDDLE_NAME == ''){
	            $MIDDLE_NAME = ' ';
	        }
            $LAST_NAME=$this->ideco_cab->cabRequest('last_name');
	        if ($LAST_NAME == ''){
	            $errors[] = 'Не заполнено поле Фамилия';
	        }
            $PHONE=$this->ideco_cab->cabRequest('phone');
	        if ($PHONE == ''){
	            $errors[] = 'Не заполнено поле Телефон';
	        }
            $EMAIL=$this->ideco_cab->cabRequest('email');
	        if ($EMAIL == ''){
	            $errors[] = 'Не заполнено поле Email';
	        }
	        $BIRTH_DATE=$this->ideco_cab->cabRequest('birth_day');
	        if ($BIRTH_DATE == ''){
	            $errors[] = 'Не заполнено поле дата рождения';
	        }
	        $PASS_DATE=$this->ideco_cab->cabRequest('pass_day');
	        if ($PASS_DATE == ''){
	            $errors[] = 'Не указана дата выдачи пасспорта';
	        }
	        $pass_issued=$this->ideco_cab->cabRequest('pass_issued');
	        if ($pass_issued == ''){
	            $errors[] = 'Не указано кем выдан пасспорт';
	        }
	        $PASS_SER=$this->ideco_cab->cabRequest('pass_ser');
	        if ($PASS_SER == ''){
	            $errors[] = 'не указана cерия пасспорта';
	        }
	        $PASS_NUM=$this->ideco_cab->cabRequest('pass_num');
	        if ($PASS_NUM == ''){
	            $errors[] = 'Не указан номер пасспорта';
	        }
	        $REG_ADDR=$this->ideco_cab->cabRequest('reg_addr');
	        if ($REG_ADDR == ''){
	            $errors[] = 'Не указан адрес регистрации';
	        }
	        if (count($errors) == 0 ){
                 if ($this->ideco_cab->cabRequest('reg_user')){
                    //---soap
                    $filedata = file_get_contents('/cfg/config.json');
                    $ini_file = json_decode($filedata,true);
                    $wsdl_host=$ini_file["app"]["django_billing_host"][0];
                    $client = new SoapClient('http://'.$wsdl_host.'/api/crm/requisition/?wsdl',
                        array('trace' => 0,
                            'exceptions' => 0,
                        )
                    );
                    $client->__setLocation('http://'.$wsdl_host.'/api/crm/requisition/');
                    $ap_param = array(
                            'ADDRESS'=>$ADDRESS,
                            'FLAT'=>$FLAT,
                            'ENTRANCE'=>$ENTRANCE,
                            'FLOOR'=>$FLOOR,
                            'FIRST_NAME'=>$FIRST_NAME,
                            'MIDDLE_NAME'=>$MIDDLE_NAME,
                            'LAST_NAME'=>$LAST_NAME,
                            'PHONE'=>$PHONE,
                            'EMAIL'=>$EMAIL,
                            'BIRTH_DATE'=>$BIRTH_DATE,
                            'PASS_ISSUED'=>$pass_issued,
                            'PASS_SER'=>$PASS_SER,
                            'PASS_NUM'=>$PASS_NUM,
                            'PASS_DATE'=>$PASS_DATE,
                            'REG_ADDR'=>$REG_ADDR,
                                     
                    );
                    $result = $client->__soapCall("web_user_order_add", array('parameters' => $ap_param));
                    if ($result->web_user_order_addResult){
                        print_r($result);
                        $errors[] = 'Ошибка!'+$result->web_user_order_addResult;
                        
                    } else {
                        $url = "Location: /";
                        header($url);
                        exit(0);
                    };
                
                 } else {
                    $this->data['content'] = $file_data;
                 }
        } else {
	        $err_str = '<ul>';
	        foreach ($errors as $err){
		        $err_str .= '<li>'.$err.'</li>';
	        }
            $err_str .='</ul>';
	    }
        //$this->data['content'] = $err_str.$file_data;	    

	        
	}  // if POST
    $this->data['errors'] = $errors;    
    $this->__show_page2('order.php');
    }

    function service() {
        $this->meta['title'] = 'Сервисное обслуживание';

        $this->data['title'] = $this->meta['title'];
        $this->data['content'] = $this->Static_html->get('services_service');


        $this->__show_page();
    }

    function sites() {
        $this->meta['title'] = 'Создание сайтов';

        $this->data['title'] = $this->meta['title'];
        $this->data['content'] = $this->Static_html->get('services_sites');

        $this->__show_page();
    }

    function hosting() {
        $this->meta['title'] = 'Хостинг';

        $this->data['title'] = $this->meta['title'];
        $this->data['content'] = $this->Static_html->get('services_hosting');

        $this->__show_page();
    }

    function partners() {
        $this->meta['title'] = 'Партнерам';

        $this->data['title'] = $this->meta['title'];
        $this->data['content'] = $this->Static_html->get('services_partners');

        $this->__show_page();
    }

}

?>
