<link rel="stylesheet" type="text/css" media="screen" href="/cabinet/themes/<?php echo $theme;?>/css/ui.datepicker.css">
<h3>Финансовые операции с балансом<br/><span style="font-size:18px">
    <?php if ($user['END_USER']==0){ ?>
        Группа "<?php echo $user['IDENTIFY']; ?>"
    <?php } else { ?>
        <?php echo $user['IDENTIFY']; ?>
    <?php } ?>
    </span>
</h3>

<form id="stat_form" action="/cabinet/audit/" method="POST">

<input type="hidden" id="module" name="module" value="audit" />

<table cellpadding="0" cellspacing="0" border="0" id="ideco_stat_filter" style="margin:10px 0px;">
    <tr class="odd">
        <td width="110">Период:</td>
        <td>
<input type="text" name="date_start" id="date_start" style="left: 0px; width: 94px; height: 19px" class="frm_elem" value="<?php echo $date_start;?>"/>
...
<input type="text" name="date_end" id="date_end" style="left: 0px; width: 94px; height: 19px" class="frm_elem" value="<?php echo $date_end;?>"/>
        </td>
        <td style="padding-left:10px">
            <input type="submit" value="Показать события" />
        </td>
    </tr>
</table>
</form>

<div id="stat_table_wrap">
    <table width="100%" id="stat_table" cellspacing="0">
        <thead>
            <tr>
                <th width="40">№</th>
                <th width="100">Дата</th>
                <th width="100">Событие</th>
                <th width="">Комментарий</th>
                <th width="150">Автор</th>
            </tr>
        </thead>
        <tbody>
           <?php foreach($stat as $num=>$item){ ?>
                <tr id="<?php echo $item['OP_ID']; ?>" <?php if ($num%2){ ?>class="odd"<?php } ?>>
                    <td><?php echo $item['OP_ID']; ?></td>
                    <td><?php echo $item['OP_TIME']; ?></td>
                    <td><?php echo $item['EVENT_NAME']; ?></td>
                    <td><?php echo $item['DESCR']; ?></td>
                    <td><?php echo $item['OWNER_NAME']; ?></td>
                </tr>
           <?php } ?>

           <?php if (!$stat){ ?>

                <tr>
                    <td colspan="7">
                        <p>События не найдены</p>
                    </td>
                </tr>

           <?php } ?>
        </tbody>
    </table>
</div>

<script type="text/javascript" src="/cabinet/js/jquery.js"></script>
<script type="text/javascript" src="/cabinet/js/jquery-ui-personalized-1.5.3.js"></script>
<script type="text/javascript">
    $('#date_start').datepicker({
         dateFormat: 'dd.mm.yy',
         showStatus: true,
         showOn: "both",
         buttonImage: "/cabinet/themes/<?php echo $theme;?>/images/calendar.gif",
         buttonImageOnly: true });
    $('#date_end').datepicker({
         dateFormat: 'dd.mm.yy',
         showStatus: true,
         showOn: "both",
         buttonImage: "/cabinet/themes/<?php echo $theme;?>/images/calendar.gif",
         buttonImageOnly: true });
</script>

<?php if ($pages > 1){ ?>
    <div class="stat_pages">
        <span class="pages_title">Страницы: </span>
        <?php for($p=1; $p<=$pages; $p++){ ?>
            <span class="page_num">
                <?php if ($p != $page){ ?>
                    <a href="<?php echo '/cabinet/audit/'.$date_start.'/'.$date_end.'/'.((($p-1)*$perpage)+1);?>"><?php echo $p;?></a>
                <?php } else { ?>
                    <span class="current_page"><?=$p;?></span>
                <?php } ?>
            </span>
        <?php } ?>
    </div>
<?php } ?>


