<?php 

    // Поскольку процедуры WEB_TARIFF_GET и WEB_TARIFF_RULES возвращают
    // данные в виде XML, ниже распарсим их вывод в массивы

    //парсим список тарифов для перехода
    $tarlist = array();

    foreach($xml_tarlist as $xml_tar){
        preg_match('/id="([^"]*)"/i', $xml_tar['TEXT'], $matches);
        $plan_id = @$matches[1];

        preg_match('/name="([^"]*)"/i', $xml_tar['TEXT'], $matches);
        $plan_name = @$matches[1];

        if ($plan_id && $plan_name){
            $tarlist[] = array('id'=>$plan_id, 'name'=>$plan_name);
        }
    }

?>
<script src="/cabinet/js/jquery-1.7.1.min.js" type="text/javascript"></script>
<script type="text/javascript">
    <?php if ($result) { ?>
    
        alert(<?php echo "'".strip_tags($result)."'"; ?>);
    
    <?php } ?>
</script>

<?php if ($result){ ?>
<div style="color:green;margin-top:10px;font-weight:bold;font-size:16px;">
    <?php echo $result; ?>
</div>
<?php } ?>

<?php if ($tarif_options['PROMISE_PAY_VISIBLE']){ ?>
<div class="frame" style="margin-top:10px">
    <h3>Обещанный платеж</h3>
    <form action="" method="post">
        <table cellpadding="0" cellspacing="0" border="0" style="margin-top:10px">
            <tr>
                <?php if (!$user['PROMISE_PAY_IS']) { ?>
                    <td>
                        Совершить обещанный платеж на сумму:
                    </td>
                    <td style="padding:0px 10px;">
                        <input type="text" style="width:50px" name="promise_pay" value="<?php echo $user['PROMISE_PAY']; ?>" />
                    </td>
                    <td width="120">
                        <input type="submit" id="change_promise" name="change_promise" value="Применить" />
                    </td>
                <?php } else { ?>
                    <td>
                        Обещанный платеж в размере <strong><?php echo $user['PROMISE_PAY']; ?></strong> должен быть погашен до <strong><?php echo $user['PROMISE_DATE_END']; ?></strong>
                    </td>
                <?php } ?>
            </tr>
        </table>
    </form>
</div>
<?php } ?>



<?php if ($addons) { ?>

<div class="frame">
    <h3>Дополнительные услуги</h3>
    <form action="" method="post">
        <table cellpadding="3" cellspacing="0" border="0" width="100%" style="margin-top:15px">
            <tr>
                <td width="120">Подключить услугу: </td>
                <td>
                    <select name="usluga_id" style="width:99%">
                        <?php foreach($addons as $addon) { ?>
                            <option value="<?php echo $addon['USLUGA_ID']; ?>"><?php echo $addon['NAME']; ?> </option>
                        <?php } ?>
                    </select>
                </td>
                <td width="120">
                    <input type="submit" id="submit_addon" name="submit_addon" value="Подать заявку" />
                </td>
            </tr>
	    <tr>
		<td width="120">Добавьте уточнение: </td>
                <td >
                    <input type="text" style="width:98%" name="usluga_comment" value="<?php if (isset($user['USLUGA_COMMENT']))echo $user['USLUGA_COMMENT']; ?>" />
                </td>
	    </tr>
        </table>
    </form>
</div>

<?php } ?>

<?php if ($tarif_options['OWN_DISABLED_VISIBLE']){ ?>
<div class="frame">
    <h3>Добровольная блокировка</h3>

    <?php if ($tarif_options['OWN_DISABLED_COST']){ ?>
        <p>Стоимость добровольной блокировки: <?php echo $tarif_options['OWN_DISABLED_COST']; ?></p>
    <?php } ?>
        
    <form action="" method="post">
        <table cellpadding="0" cellspacing="0" border="0" style="margin-top:15px">
            <tr>
                <td width="30"><input type="checkbox" name="own_disabled" id="own_disabled" value="1" <?php if ($user['OWN_DISABLED']) { ?>checked="checked"<?php } ?>/></td>
                <?php if (!$user['OWN_DISABLED']) { ?>
                <td>
                    <label for="own_disabled">
                        Заблокировать доступ в интернет на
                    </label>
                </td>
                <td style="padding:0px 10px;">
                    <input type="text" style="width:50px" name="own_disabled_days" value="<?php echo $user['OWN_DISABLED']; ?>" />
                </td>
                <td>
                    дней
                </td>
                <?php } else { ?>
                <td>
                    <label for="own_disabled">
                        Добровольная блокировка установлена до <strong><?php echo $user['OWN_DISABLED_END']; ?></strong>
                    </label>
                </td>
                <?php } ?>
                <td width="120" style="padding-left:15px">
                    <input type="submit" id="change_disabled" name="change_disabled" value="Применить" />
                </td>
            </tr>
        </table>
    </form>
</div>
<?php } ?>
<?php if ($tarif_options['TRANSFER_ALLOW']){ ?>
<div class="frame" style="margin-top:10px">
    <h3>Перевод денег</h3>
    <form action="" method="post">
        <table cellpadding="3" cellspacing="0" border="0" style="margin-top:10px">
            <tr>
                <td colspan="2"><i>Для перевода денег другому пользователю укажите: его Логин, ID или номер договора.</i><br/><br/></td>
            </tr>
            <tr>
                <td>Логин пользователя</td>
                <td><input type="text" name="DST_LOGIN" value="" /></td>
            </tr>
            <tr>
                <td>ID пользователя</td>
                <td><input type="text" name="DST_USER_ID" value="" /></td>
            </tr>
            <tr>
                <td>Номер договора</td>
                <td><input type="text" name="DST_CONTRACT_NUMBER" value="" /></td>
            </tr>
	    <tr>
                <td>IP пользователя</td>
                <td><input type="text" name="DST_IP" value="" /></td>
            </tr>
	    

            <tr>
                <td>&nbsp;</td>
                <td></td>
            </tr>
            <tr>
                <td>Сумма для перевода:</td>
                <td>
                    <input type="text" name="TRANSFER_SUMM" value="" />&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="submit" id="transfer_money" name="transfer_money" value="Перевести средства" />
                </td>
            </tr>
        </table>
    </form>
</div>
<?php } ?>
<?php if (!$password_change) { ?>
<?php if ($tarif_options['CHANGE_PASSWORD_DENY'] != 1){ ?>
<div class="frame">
    <h3>Сменить пароль</h3>
    <form action="" method="post">
        <table cellpadding="3" cellspacing="0" border="0" style="margin-top:15px;margin-bottom: 10px">
            <tr>
                <td width="150">
                    Старый пароль:
                </td>
                <td>
                    <input type="password" style="width:230px" name="old_pass" value="" />
                </td>
            </tr>
            <tr>
                <td width="150">
                    Новый пароль:
                </td>
                <td>
                    <input type="password" style="width:230px" name="new_pass" value="" />
                </td>
            </tr>
            <tr>
                <td width="150">
                    Новый пароль еще раз:
                </td>
                <td>
                    <input type="password" style="width:230px" name="new_pass2" value="" />
                </td>
            </tr>
        </table>
        <input type="submit" id="change_pass" name="change_pass" value="Сменить пароль" />
    </form>
</div>
<?php } ?>
<?php } ?>
<?php if ($phone_pull) { ?>

<div class="frame">
    <h3>Телефонный номер</h3>
    <form action="" method="post">
        <table cellpadding="3" cellspacing="0" border="0" width="100%" style="margin-top:15px">
            <tr>
                <td width="120">Подключить номер: </td>
                <td>
                    <select name="phone_number" style="width:99%">
                        <?php foreach($phone_pull as $phone) { ?>
                            <option value="<?php echo $phone['PHONE_NUMBER']; ?>"><?php echo $phone['PHONE_NUMBER']; ?> </option>
                        <?php } ?>
                    </select>
                </td>
                <td width="120">
                    <input type="submit" id="submit_phone_pull" name="submit_phone_pull" value="Закрепить номер" />
                </td>
            </tr>   
        </table>
    </form>
</div>

<?php } ?>
<div class="frame">
    <h3>Сменить контакты для уведомлений</h3>
    <form action="" method="post">
        <table cellpadding="3" cellspacing="0" border="0" style="margin-top:15px;margin-bottom: 10px">
            <tr>
                <td width="150">
                    E-mail:
                </td>
                <td style="padding:0px 10px;">
                    <input type="text" style="width:200px" name="new_email" value="<?php echo $user['EMAIL']; ?>" />
                </td>
            </tr>
	    <tr>
	    <td width="150">
                    Телефонный номер:
                </td>
                <td style="padding:0px 10px;">
                    <input type="text" style="width:200px" name="new_sms" value="<?php echo $user['SMS']; ?>" />
                </td>
	    </tr>
        </table>
        <input type="submit" id="change_info" name="change_info" value="Сохранить" />
    </form>
</div>
