#!/bin/bash

set -eu

if [ ! -d ./cms ]; then
    echo "Нужно запускать в каталоге проекта!"
    echo "cd ~/git
mkdir new_project
git clone git@gitrd.carbonsoft.ru:cms/cms.git
./cms/bin/get_project.sh <uri>"
    exit 1
fi

git_link="$1"
mkdir git_tmp
cd git_tmp
git clone "$git_link"
cd ..

find ./git_tmp/*/ -maxdepth 1  | grep -v '^./git_tmp/[^/]*/$' | while read from; do  cp -ar "$from" ./ ; done
rm -rf git_tmp

./cms/bin/init_project.sh
