from cms.include_cms import *

from wtforms_alchemy.generator import FormGenerator
from wtforms_alchemy import model_form_factory
from wtforms_alchemy import Form

class CMSFormGenerator(FormGenerator):
    def create_field(self, prop, column):
        field = super().create_field(prop, column)
        field.kwargs.update(column.info)
        return field



CMSModelForm = model_form_factory(Form, form_generator=CMSFormGenerator)
