class Singleton(type):
    _instances = {}
    def __call__(cls, *args, **kwargs):
        if cls not in cls._instances:
            cls._instances[cls] = super(Singleton, cls).__call__(*args, **kwargs)
        return cls._instances[cls]


class ImportTable(object, metaclass=Singleton):
    def __init__(self):
        print('INIT')
        self.import_table = {}

    def init(self):
        pass



    def make_import_table(self):
        import_prefix = '/'
        GLOBAL_IMPORT_TABLE['/'] = {}
        make_import_config(GLOBAL_IMPORT_TABLE, import_prefix)




        return
        for dirname, dirnames, filenames in os.walk(PROJECT_DIR):
            dirname = dirname.replace(PROJECT_DIR, '.')
            for subdirname in dirnames:
                print(subdirname)
                print(os.path.join(dirname, subdirname))

            for filename in filenames:
                print(filename)
                print(os.path.join(dirname, filename))

            if '.git' in dirnames:
                dirnames.remove('.git')


    def make_import_config(self, import_table, import_prefix):
        if import_prefix == '/':
            # Импорт глобального конфига
            config_module = importlib.import_module('common.config', package=None)
            custom_config_module = {}
            if os.path.exists(os.path.join(PROJECT_DIR, 'custom', 'config.py')):
                custom_import_module = importlib.import_module('custom.config', package=None)
            for k, v in custom_import_module.__dict__.items():
                setattr(config_module, k, v)
            import_table[import_prefix]['config'] = config_module
        else:
            module_path = '.'.join(v for v in import_prefix.split('/') if v)
            config_module = importlib.import_module(module_path+'.config', package=None)
            custom_config_module = {}
            if os.path.exists(os.path.join(PROJECT_DIR, import_prefix, 'custom', 'config.py')):
                custom_import_module = importlib.import_module(module_path+'custom.config', package=None)
            for k, v in custom_import_module.__dict__.items():
                setattr(config_module, k, v)
            # mix with global config
            global_config = import_table['/']['config'].copy()
            for k, v in config_module.__dict__.items():
                setattr(global_config, k, v)
            import_table[import_prefix]['config'] = global_config